
import java.util.Scanner;

public class Pariohjelmointi {

    public static void main(String[] args) {
        // Yhdeksännessä pariohjelmoinnissa (eli ohjelmoinnin jatkokurssin
        // ensimmäisessä pariohjelmoinnissa) rakennetaan parin kanssa ajatusten-
        // lukija. 

        // Pariohjelmoinnin tehtävänanto löytyy osoitteesta
        // http://tinyurl.com/pariohjelmointi9
        
        Scanner lukija = new Scanner(System.in);
        Ajatustenlukija ajatustenlukija = new Ajatustenlukija();

        int pelaajanPisteet = 0;
        int ajatustenlukijanPisteet = 0;

        while (true) {
            System.out.println("");
            System.out.println("Valitse [v]asen tai [o]ikea. Arvaan mitä valitset.");
            System.out.print("Valinta: ");

            String valinta = lukija.nextLine();

            if (!valinta.equals("v") && !valinta.equals("o")) {
                System.out.println("Epäkelpo valinta: " + valinta);
                continue;
            }

            String arvaus = ajatustenlukija.lueAjatuksetJaValitse();

            System.out.println("Ajatustenlukija arvasi " + arvaus);

            ajatustenlukija.lisaaPelaajanEdellinenValinta(valinta);

            if (arvaus.equals(valinta)) {
                System.out.println("Ajatustenlukija oli oikeassa!");
                ajatustenlukijanPisteet++;
            } else {
                System.out.println("Pelaaja huijasi ajatustenlukijaa!");
                pelaajanPisteet++;
            }

            if (ajatustenlukijanPisteet >= 25 || pelaajanPisteet >= 25) {
                break;
            }

            System.out.println("Pistetilanne: " + pelaajanPisteet + " - " + ajatustenlukijanPisteet);
        }

        System.out.println("Peli päättyi. ");
        if (ajatustenlukijanPisteet >= 25) {
            System.out.println("Voittaja on ajatustenlukija!");
        } else {
            System.out.println("Voittaja on pelaaja!");
        }
    }

}
